<?php

namespace App\ViewModels\Pagamento\PagamentoComandaFormaPagamentoRegistrationViewModel;

use App\Utils\Builder;

class FormaPagamentoPixViewModelBuilder implements Builder {
	protected $chave;
	protected $valor;

	public function build(): FormaPagamentoPixViewModel {

		$formaPagamentoPix_vm = new FormaPagamentoPixViewModel();
		$formaPagamentoPix_vm->setChave( $this->chave ?? '');
		$formaPagamentoPix_vm->setValor( $this->valor ?? 0.00);

		return $formaPagamentoPix_vm;

	}

	/**
	 *
	 * @param mixed $chave
	 */
	public function setChave($chave) {

		$this->chave = $chave;
		return $this;

	}

	/**
	 *
	 * @param mixed $valor
	 */
	public function setValor($valor) {

		$this->valor = $valor;
		return $this;

	}

}

